## opennds 9.7.0

=== Makefile ===

CC?=gcc
CFLAGS?=-O2 -g -Wall
CFLAGS+=-Isrc
#CFLAGS+=-Wall -Wwrite-strings -pedantic -std=gnu99
LDFLAGS+=-pthread
LDLIBS=-lmicrohttpd

STRIP=yes

NDS_OBJS=src/auth.o src/client_list.o src/commandline.o src/conf.o \
	src/debug.o src/fw_iptables.o src/main.o src/http_microhttpd.o src/http_microhttpd_utils.o \
	src/ndsctl_thread.o src/safe.o src/util.o

.PHONY: all clean install

all: opennds ndsctl

%.o : %.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -c $< -o $@

opennds: $(NDS_OBJS) $(LIBHTTPD_OBJS)
	$(CC) $(LDFLAGS) -o opennds $+ $(LDLIBS)

ndsctl: src/ndsctl.o
	$(CC) $(LDFLAGS) -o ndsctl $+ $(LDLIBS)

clean:
	rm -f opennds ndsctl src/*.o
	rm -rf dist

install:
#ifeq(yes,$(STRIP))
	strip opennds
	strip ndsctl
#endif
	mkdir -p $(DESTDIR)/usr/bin/
	cp ndsctl $(DESTDIR)/usr/bin/
	cp opennds $(DESTDIR)/usr/bin/
	mkdir -p $(DESTDIR)/etc/opennds/htdocs/images
	cp resources/opennds.conf $(DESTDIR)/etc/opennds/
	cp linux_openwrt/opennds/files/etc/config/opennds $(DESTDIR)/etc/opennds/opennds.uci
	cp resources/splash.css $(DESTDIR)/etc/opennds/htdocs/
	cp resources/splash.jpg $(DESTDIR)/etc/opennds/htdocs/images/
	cp resources/opennds.service $(DESTDIR)/etc/systemd/system/
	mkdir -p $(DESTDIR)/usr/lib/opennds
	cp forward_authentication_service/binauth/binauth_log.sh $(DESTDIR)/usr/lib/opennds/
	sed -i 's/#!\/bin\/sh/#!\/bin\/bash/' $(DESTDIR)/usr/lib/opennds/binauth_log.sh
	cp forward_authentication_service/libs/libopennds.sh $(DESTDIR)/usr/lib/opennds/
	sed -i '0,/#!\/bin\/sh/{s/#!\/bin\/sh/#!\/bin\/bash/}' $(DESTDIR)/usr/lib/opennds/libopennds.sh
	cp forward_authentication_service/PreAuth/theme_click-to-continue-basic.sh $(DESTDIR)/usr/lib/opennds/
	sed -i 's/#!\/bin\/sh/#!\/bin\/bash/' $(DESTDIR)/usr/lib/opennds/theme_click-to-continue-basic.sh
	cp forward_authentication_service/PreAuth/theme_click-to-continue-custom-placeholders.sh $(DESTDIR)/usr/lib/opennds/
	sed -i 's/#!\/bin\/sh/#!\/bin\/bash/' $(DESTDIR)/usr/lib/opennds/theme_click-to-continue-custom-placeholders.sh
	cp forward_authentication_service/PreAuth/theme_user-email-login-basic.sh $(DESTDIR)/usr/lib/opennds/
	sed -i 's/#!\/bin\/sh/#!\/bin\/bash/' $(DESTDIR)/usr/lib/opennds/theme_user-email-login-basic.sh
	cp forward_authentication_service/PreAuth/theme_user-email-login-custom-placeholders.sh $(DESTDIR)/usr/lib/opennds/
	sed -i 's/#!\/bin\/sh/#!\/bin\/bash/' $(DESTDIR)/usr/lib/opennds/theme_user-email-login-custom-placeholders.sh
	cp forward_authentication_service/libs/get_client_interface.sh $(DESTDIR)/usr/lib/opennds/
	sed -i 's/#!\/bin\/sh/#!\/bin\/bash/' $(DESTDIR)/usr/lib/opennds/get_client_interface.sh
	cp forward_authentication_service/libs/client_params.sh $(DESTDIR)/usr/lib/opennds/
	sed -i 's/#!\/bin\/sh/#!\/bin\/bash/' $(DESTDIR)/usr/lib/opennds/client_params.sh
	cp forward_authentication_service/libs/unescape.sh $(DESTDIR)/usr/lib/opennds/
	sed -i 's/#!\/bin\/sh/#!\/bin\/bash/' $(DESTDIR)/usr/lib/opennds/unescape.sh
	cp forward_authentication_service/libs/authmon.sh $(DESTDIR)/usr/lib/opennds/
	sed -i 's/#!\/bin\/sh/#!\/bin\/bash/' $(DESTDIR)/usr/lib/opennds/authmon.sh
	cp forward_authentication_service/libs/dnsconfig.sh $(DESTDIR)/usr/lib/opennds/
	sed -i 's/#!\/bin\/sh/#!\/bin\/bash/' $(DESTDIR)/usr/lib/opennds/dnsconfig.sh
	cp forward_authentication_service/libs/post-request.php $(DESTDIR)/usr/lib/opennds/
	cp forward_authentication_service/fas-aes/fas-aes.php $(DESTDIR)/etc/opennds/
	cp forward_authentication_service/fas-hid/fas-hid.php $(DESTDIR)/etc/opennds/
	cp forward_authentication_service/fas-aes/fas-aes-https.php $(DESTDIR)/etc/opennds/

=== linux_openwrt/opennds/Makefile ===
#
# This is free software, licensed under the GNU General Public License v2.
# See /LICENSE for more information.
#

include $(TOPDIR)/rules.mk

PKG_NAME:=opennds
PKG_FIXUP:=autoreconf
PKG_VERSION:=9.7.0
PKG_RELEASE:=1

PKG_SOURCE_URL:=https://codeload.github.com/opennds/opennds/tar.gz/v$(PKG_VERSION)?
PKG_SOURCE:=opennds-$(PKG_VERSION).tar.gz
PKG_HASH:= #shasum -a 256 of tar.gz of source files goes here
PKG_BUILD_DIR:=$(BUILD_DIR)/openNDS-$(PKG_VERSION)

PKG_MAINTAINER:=Rob White <rob@blue-wave.net>
PKG_BUILD_PARALLEL:=1
PKG_LICENSE:=GPL-2.0+

include $(INCLUDE_DIR)/package.mk

define Package/opennds
	SUBMENU:=Captive Portals
	SECTION:=net
	CATEGORY:=Network
	# For post OpenWrt 21.02.xx nft support:
	DEPENDS:=+iptables-nft +kmod-ipt-conntrack +kmod-ipt-nat +libmicrohttpd-no-ssl
	# For OpenWrt 21.02.xx and earlier, ipt support:
	#DEPENDS:=+libpthread +iptables-mod-ipopt +libmicrohttpd-no-ssl
	TITLE:=Open public network gateway daemon
	URL:=https://github.com/opennds/opennds
	CONFLICTS:=nodogsplash nodogsplash2
endef

define Package/opennds/description
	openNDS is a Captive Portal solution that offers an instant way to provide restricted access to the Internet.
	With little or no configuration, a dynamically generated and adaptive splash page sequence is automatically served.
	Both client driven Captive Portal Detection (CPD) and gateway driven Captive Portal Identification (CPI - RFC 8910 and RFC 8908) are supported.
	Internet access is granted by either a click to continue button, or after credential verification as a result of filling in a login form.
	The package incorporates the FAS API allowing many flexible customisation options.
	The creation of sophisticated third party authentication applications is fully supported.
	Internet hosted https portals can be implemented with no security errors, to inspire maximum user confidence.
endef

define Package/opennds/install
	$(INSTALL_DIR) $(1)/usr/bin
	$(INSTALL_BIN) $(PKG_BUILD_DIR)/opennds $(1)/usr/bin/
	$(INSTALL_BIN) $(PKG_BUILD_DIR)/ndsctl $(1)/usr/bin/
	$(INSTALL_DIR) $(1)/etc/opennds/htdocs/images
	$(INSTALL_DIR) $(1)/etc/config
	$(INSTALL_DIR) $(1)/etc/init.d
	$(INSTALL_DIR) $(1)/etc/uci-defaults
	$(INSTALL_DIR) $(1)/usr/lib/opennds
	$(CP) $(PKG_BUILD_DIR)/resources/splash.css $(1)/etc/opennds/htdocs/
	$(CP) $(PKG_BUILD_DIR)/resources/splash.jpg $(1)/etc/opennds/htdocs/images/
	$(CP) $(PKG_BUILD_DIR)/linux_openwrt/opennds/files/etc/config/opennds $(1)/etc/config/
	$(CP) $(PKG_BUILD_DIR)/linux_openwrt/opennds/files/etc/config/opennds $(1)/etc/opennds/config.uci
	$(CP) $(PKG_BUILD_DIR)/linux_openwrt/opennds/files/etc/init.d/opennds $(1)/etc/init.d/
	$(CP) $(PKG_BUILD_DIR)/linux_openwrt/opennds/files/etc/uci-defaults/40_opennds $(1)/etc/uci-defaults/
	$(CP) $(PKG_BUILD_DIR)/linux_openwrt/opennds/files/usr/lib/opennds/restart.sh $(1)/usr/lib/opennds/
	$(CP) $(PKG_BUILD_DIR)/forward_authentication_service/binauth/binauth_log.sh $(1)/usr/lib/opennds/
	$(CP) $(PKG_BUILD_DIR)/forward_authentication_service/libs/libopennds.sh $(1)/usr/lib/opennds/
	$(CP) $(PKG_BUILD_DIR)/forward_authentication_service/PreAuth/theme_click-to-continue-basic.sh $(1)/usr/lib/opennds/
	$(CP) $(PKG_BUILD_DIR)/forward_authentication_service/PreAuth/theme_click-to-continue-custom-placeholders.sh $(1)/usr/lib/opennds/
	$(CP) $(PKG_BUILD_DIR)/forward_authentication_service/PreAuth/theme_user-email-login-basic.sh $(1)/usr/lib/opennds/
	$(CP) $(PKG_BUILD_DIR)/forward_authentication_service/PreAuth/theme_user-email-login-custom-placeholders.sh $(1)/usr/lib/opennds/
	$(CP) $(PKG_BUILD_DIR)/forward_authentication_service/libs/get_client_interface.sh $(1)/usr/lib/opennds/
	$(CP) $(PKG_BUILD_DIR)/forward_authentication_service/libs/client_params.sh $(1)/usr/lib/opennds/
	$(CP) $(PKG_BUILD_DIR)/forward_authentication_service/libs/unescape.sh $(1)/usr/lib/opennds/
	$(CP) $(PKG_BUILD_DIR)/forward_authentication_service/libs/authmon.sh $(1)/usr/lib/opennds/
	$(CP) $(PKG_BUILD_DIR)/forward_authentication_service/libs/dnsconfig.sh $(1)/usr/lib/opennds/
	$(CP) $(PKG_BUILD_DIR)/forward_authentication_service/libs/post-request.php $(1)/usr/lib/opennds/
	$(CP) $(PKG_BUILD_DIR)/forward_authentication_service/fas-aes/fas-aes.php $(1)/etc/opennds/
	$(CP) $(PKG_BUILD_DIR)/forward_authentication_service/fas-hid/fas-hid.php $(1)/etc/opennds/
	$(CP) $(PKG_BUILD_DIR)/forward_authentication_service/fas-aes/fas-aes-https.php $(1)/etc/opennds/
endef

define Package/opennds/postrm
#!/bin/sh
uci delete firewall.opennds
uci commit firewall
endef

define Package/opennds/conffiles
/etc/config/opennds
endef

$(eval $(call BuildPackage,opennds))

=== debian/changelog ===
opennds (9.7.0-3~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 30 May 2022 15:33:22 +0200

opennds (9.7.0-3) unstable; urgency=medium

  * debian/rules:
    + Fix missing ';' in multi-line if-clause.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 18 May 2022 20:09:09 +0200

opennds (9.7.0-2) unstable; urgency=medium

  [ Daniel Teichmann ]
  * debian/rules:
    + Only fix perms if file exists and is executable. Fixes arch:any only
      builds.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 18 May 2022 17:22:47 +0200

opennds (9.7.0-1) unstable; urgency=medium

  [ Daniel Teichmann ]
  * Initial upload to Debian. (Closes: #1009368).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 27 Apr 2022 14:15:08 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export CFLAGS += -flto
export LDFLAGS += -flto

%:
	dh $@

override_dh_install:
	rm debian/tmp/etc/opennds/opennds.uci
	dh_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_fixperms:
	dh_fixperms
	if [ -x debian/opennds/etc/opennds/fas-hid.php ]; then \
	    chmod a-x debian/opennds/etc/opennds/fas-hid.php; \
	fi

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## opennds 9.10.0

=== Makefile ===
--- 
+++ 
@@ -42,6 +42,7 @@
 	cp linux_openwrt/opennds/files/etc/config/opennds $(DESTDIR)/etc/opennds/opennds.uci
 	cp resources/splash.css $(DESTDIR)/etc/opennds/htdocs/
 	cp resources/splash.jpg $(DESTDIR)/etc/opennds/htdocs/images/
+	mkdir -p $(DESTDIR)/etc/systemd/system
 	cp resources/opennds.service $(DESTDIR)/etc/systemd/system/
 	mkdir -p $(DESTDIR)/usr/lib/opennds
 	cp forward_authentication_service/binauth/binauth_log.sh $(DESTDIR)/usr/lib/opennds/
@@ -66,6 +67,8 @@
 	sed -i 's/#!\/bin\/sh/#!\/bin\/bash/' $(DESTDIR)/usr/lib/opennds/authmon.sh
 	cp forward_authentication_service/libs/dnsconfig.sh $(DESTDIR)/usr/lib/opennds/
 	sed -i 's/#!\/bin\/sh/#!\/bin\/bash/' $(DESTDIR)/usr/lib/opennds/dnsconfig.sh
+	cp forward_authentication_service/libs/download_resources.sh $(DESTDIR)/usr/lib/opennds/
+	sed -i 's/#!\/bin\/sh/#!\/bin\/bash/' $(DESTDIR)/usr/lib/opennds/download_resources.sh
 	cp forward_authentication_service/libs/post-request.php $(DESTDIR)/usr/lib/opennds/
 	cp forward_authentication_service/fas-aes/fas-aes.php $(DESTDIR)/etc/opennds/
 	cp forward_authentication_service/fas-hid/fas-hid.php $(DESTDIR)/etc/opennds/

=== linux_openwrt/opennds/Makefile ===
--- 
+++ 
@@ -6,42 +6,39 @@
 include $(TOPDIR)/rules.mk
 
 PKG_NAME:=opennds
-PKG_FIXUP:=autoreconf
-PKG_VERSION:=9.7.0
+PKG_VERSION:=9.10.0
 PKG_RELEASE:=1
 
+PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.gz
 PKG_SOURCE_URL:=https://codeload.github.com/opennds/opennds/tar.gz/v$(PKG_VERSION)?
-PKG_SOURCE:=opennds-$(PKG_VERSION).tar.gz
-PKG_HASH:= #shasum -a 256 of tar.gz of source files goes here
+PKG_HASH:=#shasum -a 256 of tar.gz of source files goes here
 PKG_BUILD_DIR:=$(BUILD_DIR)/openNDS-$(PKG_VERSION)
 
 PKG_MAINTAINER:=Rob White <rob@blue-wave.net>
+PKG_LICENSE:=GPL-2.0-or-later
+PKG_LICENSE_FILES:=COPYING
+
+PKG_FIXUP:=autoreconf
 PKG_BUILD_PARALLEL:=1
-PKG_LICENSE:=GPL-2.0+
 
 include $(INCLUDE_DIR)/package.mk
 
 define Package/opennds
-	SUBMENU:=Captive Portals
-	SECTION:=net
-	CATEGORY:=Network
-	# For post OpenWrt 21.02.xx nft support:
-	DEPENDS:=+iptables-nft +kmod-ipt-conntrack +kmod-ipt-nat +libmicrohttpd-no-ssl
-	# For OpenWrt 21.02.xx and earlier, ipt support:
-	#DEPENDS:=+libpthread +iptables-mod-ipopt +libmicrohttpd-no-ssl
-	TITLE:=Open public network gateway daemon
-	URL:=https://github.com/opennds/opennds
-	CONFLICTS:=nodogsplash nodogsplash2
+  SUBMENU:=Captive Portals
+  SECTION:=net
+  CATEGORY:=Network
+  DEPENDS:=+iptables-nft +kmod-ipt-conntrack +kmod-ipt-nat +libmicrohttpd-no-ssl
+  TITLE:=Open public network gateway daemon
+  URL:=https://github.com/opennds/opennds
+  CONFLICTS:=nodogsplash
 endef
 
 define Package/opennds/description
-	openNDS is a Captive Portal solution that offers an instant way to provide restricted access to the Internet.
-	With little or no configuration, a dynamically generated and adaptive splash page sequence is automatically served.
-	Both client driven Captive Portal Detection (CPD) and gateway driven Captive Portal Identification (CPI - RFC 8910 and RFC 8908) are supported.
-	Internet access is granted by either a click to continue button, or after credential verification as a result of filling in a login form.
-	The package incorporates the FAS API allowing many flexible customisation options.
-	The creation of sophisticated third party authentication applications is fully supported.
-	Internet hosted https portals can be implemented with no security errors, to inspire maximum user confidence.
+  openNDS (open Network Demarcation Service) is a high performance, small footprint, Captive Portal.
+  It provides a border control gateway between a public local area network and the Internet.
+  It supports all scenarios ranging from small stand alone venues through to large mesh networks with multiple portal entry points.
+  Both the client driven Captive Portal Detection method (CPD) and gateway driven Captive Portal Identification method (CPI - RFC 8910 and RFC 8908) are supported.
+  This version requires iptables-nft.
 endef
 
 define Package/opennds/install
@@ -71,6 +68,7 @@
 	$(CP) $(PKG_BUILD_DIR)/forward_authentication_service/libs/unescape.sh $(1)/usr/lib/opennds/
 	$(CP) $(PKG_BUILD_DIR)/forward_authentication_service/libs/authmon.sh $(1)/usr/lib/opennds/
 	$(CP) $(PKG_BUILD_DIR)/forward_authentication_service/libs/dnsconfig.sh $(1)/usr/lib/opennds/
+	$(CP) $(PKG_BUILD_DIR)/forward_authentication_service/libs/download_resources.sh $(1)/usr/lib/opennds/
 	$(CP) $(PKG_BUILD_DIR)/forward_authentication_service/libs/post-request.php $(1)/usr/lib/opennds/
 	$(CP) $(PKG_BUILD_DIR)/forward_authentication_service/fas-aes/fas-aes.php $(1)/etc/opennds/
 	$(CP) $(PKG_BUILD_DIR)/forward_authentication_service/fas-hid/fas-hid.php $(1)/etc/opennds/

=== debian/changelog ===
opennds (9.10.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop patches 1001 and 1003. Both applied upstream.
    + Drop 1002_typo-fixes-in-man-page.patch. Upstream remove the man page
      (which did contain bogus info anyway).
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * debian/source/lintian-overrides:
    + Update to new syntax.
  * debian/rules:
    + Move system service file to /lib/systemd/ (instead of /etc/systemd/).
  * debian/opennds-daemon-common.manpages:
    + Drop file. No man page anymore.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 06 Feb 2023 23:40:56 +0100

=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,8 @@
 
 override_dh_install:
 	rm debian/tmp/etc/opennds/opennds.uci
+	mkdir -p debian/tmp/lib/systemd/system/
+	mv debian/tmp/etc/systemd/system/opennds.service debian/tmp/lib/systemd/system/
 	dh_install
 
 override_dh_missing:

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/opennds-$1.tar.gz/ \
https://github.com/openNDS/openNDS/tags .*/archive/refs/tags/v?([\d\.]+).tar.gz

## opennds 10.2.0%2Bdfsg

=== debian/changelog ===
opennds (10.2.0+dfsg-1ubuntu0.24.10.1) oracular-security; urgency=medium

  * SECURITY UPDATE: Use after free
    - debian/patches/CVE-2024-25763.patch: Delete the client instead of
      changing state
    - CVE-2024-25763

 -- Bruce Cable <bruce.cable@canonical.com>  Thu, 27 Feb 2025 13:34:10 +1100

opennds (10.2.0+dfsg-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:06:46 +1100

opennds (10.2.0+dfsg-1build1) noble; urgency=high

  * No change rebuild against libmicrohttpd12t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:47:22 +0100

opennds (10.2.0+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #1059451, #1059452).
    - CVE-2023-38313, CVE-2023-38314, CVE-2023-38315, CVE-2023-38316:
      Fix NULL pointer dereference if authdir is called with an incomplete or
      missing query string.
    - CVE-2023-38320, CVE-2023-38322: Fix - NULL pointer dereference if
      user_agent is NULL.
    - CVE-2023-38324: Generate unique sha256 faskey if not set in config.
    - CVE-2023-41101: Fix buffer overflow causing segfault.
    - CVE-2023-41102: Fix multiple memory leaks.
  * debian/patches:
    + Rebase 1004_add-documentation-key-in-service-file.patch.
    + Add 1005_evaluate-system-call-retvals.patch. Fix FTBFS against recent
      Debian.
  * debian/{opennds-daemon.install,rules}:
    + Adjust file installations into DEST_DIR.
  * debian/copyright:
    + Update copyright attributions.
    + Update copyright attribution for debian/.
    + Update auto-generated copyright.in file.
  * lintian:
    + Update files lines in very-long-line-length-in-source-file overrides
      with globbings.
  * debian/opennds-daemon-common.links:
    + Drop file. Drop man page symlinking. The formerly shipped man page was
      bogus and upstream removed it (for now). (Closes: #1040392).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 20 Jan 2024 11:00:54 +0100

## opennds 10.2.0+dfsg

=== linux_openwrt/opennds/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 include $(TOPDIR)/rules.mk
 
 PKG_NAME:=opennds
-PKG_VERSION:=9.10.0
+PKG_VERSION:=10.2.0
 PKG_RELEASE:=1
 
 PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.gz
@@ -27,10 +27,9 @@
   SUBMENU:=Captive Portals
   SECTION:=net
   CATEGORY:=Network
-  DEPENDS:=+iptables-nft +kmod-ipt-conntrack +kmod-ipt-nat +libmicrohttpd-no-ssl
-  TITLE:=Open public network gateway daemon
+  DEPENDS:=+libmicrohttpd-no-ssl
+  TITLE:=open Network Demarcation Service
   URL:=https://github.com/opennds/opennds
-  CONFLICTS:=nodogsplash
 endef
 
 define Package/opennds/description
@@ -38,7 +37,7 @@
   It provides a border control gateway between a public local area network and the Internet.
   It supports all scenarios ranging from small stand alone venues through to large mesh networks with multiple portal entry points.
   Both the client driven Captive Portal Detection method (CPD) and gateway driven Captive Portal Identification method (CPI - RFC 8910 and RFC 8908) are supported.
-  This version requires iptables-nft.
+  This version uses nftables.
 endef
 
 define Package/opennds/install
@@ -58,6 +57,7 @@
 	$(CP) $(PKG_BUILD_DIR)/linux_openwrt/opennds/files/etc/uci-defaults/40_opennds $(1)/etc/uci-defaults/
 	$(CP) $(PKG_BUILD_DIR)/linux_openwrt/opennds/files/usr/lib/opennds/restart.sh $(1)/usr/lib/opennds/
 	$(CP) $(PKG_BUILD_DIR)/forward_authentication_service/binauth/binauth_log.sh $(1)/usr/lib/opennds/
+	$(CP) $(PKG_BUILD_DIR)/forward_authentication_service/binauth/custombinauth.sh $(1)/usr/lib/opennds/
 	$(CP) $(PKG_BUILD_DIR)/forward_authentication_service/libs/libopennds.sh $(1)/usr/lib/opennds/
 	$(CP) $(PKG_BUILD_DIR)/forward_authentication_service/PreAuth/theme_click-to-continue-basic.sh $(1)/usr/lib/opennds/
 	$(CP) $(PKG_BUILD_DIR)/forward_authentication_service/PreAuth/theme_click-to-continue-custom-placeholders.sh $(1)/usr/lib/opennds/
@@ -65,13 +65,13 @@
 	$(CP) $(PKG_BUILD_DIR)/forward_authentication_service/PreAuth/theme_user-email-login-custom-placeholders.sh $(1)/usr/lib/opennds/
 	$(CP) $(PKG_BUILD_DIR)/forward_authentication_service/libs/get_client_interface.sh $(1)/usr/lib/opennds/
 	$(CP) $(PKG_BUILD_DIR)/forward_authentication_service/libs/client_params.sh $(1)/usr/lib/opennds/
-	$(CP) $(PKG_BUILD_DIR)/forward_authentication_service/libs/unescape.sh $(1)/usr/lib/opennds/
 	$(CP) $(PKG_BUILD_DIR)/forward_authentication_service/libs/authmon.sh $(1)/usr/lib/opennds/
 	$(CP) $(PKG_BUILD_DIR)/forward_authentication_service/libs/dnsconfig.sh $(1)/usr/lib/opennds/
 	$(CP) $(PKG_BUILD_DIR)/forward_authentication_service/libs/download_resources.sh $(1)/usr/lib/opennds/
 	$(CP) $(PKG_BUILD_DIR)/forward_authentication_service/libs/post-request.php $(1)/usr/lib/opennds/
 	$(CP) $(PKG_BUILD_DIR)/forward_authentication_service/fas-aes/fas-aes.php $(1)/etc/opennds/
 	$(CP) $(PKG_BUILD_DIR)/forward_authentication_service/fas-hid/fas-hid.php $(1)/etc/opennds/
+	$(CP) $(PKG_BUILD_DIR)/forward_authentication_service/fas-hid/fas-hid-https.php $(1)/etc/opennds/
 	$(CP) $(PKG_BUILD_DIR)/forward_authentication_service/fas-aes/fas-aes-https.php $(1)/etc/opennds/
 endef

=== debian/control ===
Source: opennds
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
           Daniel Teichmann <daniel.teichmann@das-netzwerkteam.de>,
Build-Depends: debhelper-compat (= 13),
               dpkg-dev (>= 1.16.1~),
               libmicrohttpd-dev (>= 0.9.51),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/opennds/opennds
Vcs-Git: https://salsa.debian.org/debian-edu-pkg-team/opennds.git
Vcs-Browser: https://salsa.debian.org/debian-edu-pkg-team/opennds/

Package: opennds
Architecture: all
Depends: ${misc:Depends},
         opennds-daemon (>= ${source:Version}),
Description: manage access to public internet access
 openNDS controls access to a public Internet connection and offers
 a simple way to open a Hotspot for wireless networks. It provides a
 captive portal to inform users about the services and optionally have
 them acknowledge the terms and conditions of its use.
 .
 This package contains all architecture independent files of openNDS.

Package: opennds-daemon
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         opennds-daemon-common (>= ${source:Version}),
Description: manage access to public internet access (service daemon)
 openNDS controls access to a public Internet connection and offers
 a simple way to open a Hotspot for wireless networks. It provides a
 captive portal to inform users about the services and optionally have
 them acknowledge the terms and conditions of its use.
 .
 This package contains the openNDS service daemon.

Package: opennds-daemon-common
Architecture: all
Depends: ${misc:Depends},
Description: manage access to public internet access (service helper scripts)
 openNDS controls access to a public Internet connection and offers
 a simple way to open a Hotspot for wireless networks. It provides a
 captive portal to inform users about the services and optionally have
 them acknowledge the terms and conditions of its use.
 .
 This package contains helper scripts for the openNDS service daemon.

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 	dh $@
 
 override_dh_install:
-	rm debian/tmp/etc/opennds/opennds.uci
+	rm debian/tmp/etc/config/opennds
 	mkdir -p debian/tmp/lib/systemd/system/
 	mv debian/tmp/etc/systemd/system/opennds.service debian/tmp/lib/systemd/system/
 	dh_install
@@ -33,4 +33,4 @@
 	fi
 
 get-orig-source:
-	uscan --noconf --force-download --rename --download-current-version --destdir=..
+	uscan --noconf --force-download --repack --rename --download-current-version --destdir=..

=== debian/watch ===
version=4
opts=repacksuffix=+dfsg,\
     dversionmangle=s/\+dfsg// \
     https://github.com/openNDS/openNDS/tags .*/archive/refs/tags/v?([\d\.]+).tar.gz

## opennds 10.3.0+dfsg

=== debian/changelog ===
opennds (10.3.0+dfsg-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release. (Closes: #1081792)
    Fixes CVE-2024-25763
  * Move aliased files from / to /usr (DEP17) (Closes: #1073664)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 20 Oct 2024 22:34:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: opennds
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>
+Maintainer: Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
            Daniel Teichmann <daniel.teichmann@das-netzwerkteam.de>,
 Build-Depends: debhelper-compat (= 13),

## opennds 10.3.1%2Bdfsg

=== debian/changelog ===
opennds (10.3.1+dfsg-1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Wed, 11 Feb 2026 23:31:36 +0100

opennds (10.3.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/patches:
    + Drop non-used 1005_evaluate-system-call-retvals.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 04 May 2025 18:45:56 +0200

## opennds 10.3.1+dfsg

=== Makefile ===
--- 
+++ 
@@ -38,13 +38,19 @@
 	cp ndsctl $(DESTDIR)/usr/bin/
 	cp opennds $(DESTDIR)/usr/bin/
 	mkdir -p $(DESTDIR)/etc/opennds/htdocs/images
-	cp resources/opennds.conf $(DESTDIR)/etc/opennds/
-	cp linux_openwrt/opennds/files/etc/config/opennds $(DESTDIR)/etc/opennds/opennds.uci
+	mkdir -p $(DESTDIR)/etc/config
+	if [ -e $(DESTDIR)/etc/config/opennds ]; then \
+		cp linux_openwrt/opennds/files/etc/config/opennds $(DESTDIR)/etc/config/opennds.default; \
+	else\
+		cp linux_openwrt/opennds/files/etc/config/opennds $(DESTDIR)/etc/config/; \
+	fi
 	cp resources/splash.css $(DESTDIR)/etc/opennds/htdocs/
 	cp resources/splash.jpg $(DESTDIR)/etc/opennds/htdocs/images/
 	mkdir -p $(DESTDIR)/etc/systemd/system
 	cp resources/opennds.service $(DESTDIR)/etc/systemd/system/
 	mkdir -p $(DESTDIR)/usr/lib/opennds
+	cp forward_authentication_service/binauth/custombinauth.sh $(DESTDIR)/usr/lib/opennds/
+	sed -i 's/#!\/bin\/sh/#!\/bin\/bash/' $(DESTDIR)/usr/lib/opennds/custombinauth.sh
 	cp forward_authentication_service/binauth/binauth_log.sh $(DESTDIR)/usr/lib/opennds/
 	sed -i 's/#!\/bin\/sh/#!\/bin\/bash/' $(DESTDIR)/usr/lib/opennds/binauth_log.sh
 	cp forward_authentication_service/libs/libopennds.sh $(DESTDIR)/usr/lib/opennds/
@@ -61,8 +67,6 @@
 	sed -i 's/#!\/bin\/sh/#!\/bin\/bash/' $(DESTDIR)/usr/lib/opennds/get_client_interface.sh
 	cp forward_authentication_service/libs/client_params.sh $(DESTDIR)/usr/lib/opennds/
 	sed -i 's/#!\/bin\/sh/#!\/bin\/bash/' $(DESTDIR)/usr/lib/opennds/client_params.sh
-	cp forward_authentication_service/libs/unescape.sh $(DESTDIR)/usr/lib/opennds/
-	sed -i 's/#!\/bin\/sh/#!\/bin\/bash/' $(DESTDIR)/usr/lib/opennds/unescape.sh
 	cp forward_authentication_service/libs/authmon.sh $(DESTDIR)/usr/lib/opennds/
 	sed -i 's/#!\/bin\/sh/#!\/bin\/bash/' $(DESTDIR)/usr/lib/opennds/authmon.sh
 	cp forward_authentication_service/libs/dnsconfig.sh $(DESTDIR)/usr/lib/opennds/
@@ -72,6 +76,7 @@
 	cp forward_authentication_service/libs/post-request.php $(DESTDIR)/usr/lib/opennds/
 	cp forward_authentication_service/fas-aes/fas-aes.php $(DESTDIR)/etc/opennds/
 	cp forward_authentication_service/fas-hid/fas-hid.php $(DESTDIR)/etc/opennds/
+	cp forward_authentication_service/fas-hid/fas-hid-https.php $(DESTDIR)/etc/opennds/
 	cp forward_authentication_service/fas-aes/fas-aes-https.php $(DESTDIR)/etc/opennds/

=== docs/Makefile ===
# Makefile for Sphinx documentation
# run command "make man" in this folder
# then copy opennds.1 to the Debian docs folder
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/opennds.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/opennds.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/opennds"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/opennds"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

=== docs/requirements.txt ===
docutils>0.18
sphinx_rtd_theme

=== linux_openwrt/opennds/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 include $(TOPDIR)/rules.mk
 
 PKG_NAME:=opennds
-PKG_VERSION:=10.2.0
+PKG_VERSION:=10.2.1beta
 PKG_RELEASE:=1
 
 PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.gz

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.16.1~),
                libmicrohttpd-dev (>= 0.9.51),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/opennds/opennds
 Vcs-Git: https://salsa.debian.org/debian-edu-pkg-team/opennds.git

=== debian/rules ===
--- 
+++ 
@@ -19,8 +19,8 @@
 
 override_dh_install:
 	rm debian/tmp/etc/config/opennds
-	mkdir -p debian/tmp/lib/systemd/system/
-	mv debian/tmp/etc/systemd/system/opennds.service debian/tmp/lib/systemd/system/
+	mkdir -p debian/tmp/usr/lib
+	mv debian/tmp/etc/systemd debian/tmp/usr/lib/
 	dh_install
 
 override_dh_missing:
